.jwplayer.jw-state-paused div.jw-controls-backdrop.jw-reset {
  background-color: #121212 !important;
  opacity: 0.75 !important;
}

.jw-button-color {
  color: white;
}

.jwplayer {
  overflow: visible !important;
}

.jw-controls {
  overflow: visible !important;
}

.jw-wrapper {
  overflow: visible;
}

.jwplayer.jw-flag-fullscreen > div.jw-wrapper.jw-reset > div.jw-overlays.jw-reset {
  text-align: right !important;
  direction: rtl !important;
}

.jwplayer.jw-state-error .jw-title, .jw-state-idle .jw-title, .jwplayer.jw-state-complete:not(.jw-flag-casting):not(.jw-flag-audio-player):not(.jw-flag-overlay-open-related) .jw-title {
  display: none !important;
}

/*For Livestream Videos*/
.jwplayer.jw-state-livestream > div.jw-wrapper > div.jw-controls > div.jw-controlbar > div.jw-reset.jw-button-container > div.jw-text-live {
  display: none;
}

.jwplayer.jw-state-livestream > div.jw-wrapper.jw-reset > div.jw-controls.jw-reset > div.jw-controlbar.jw-reset > div.jw-reset.jw-button-container > div.jw-icon.jw-icon-inline.jw-text.jw-reset.jw-text-elapsed {
  display: none;
}

.jwplayer.jw-state-livestream > div.jw-wrapper.jw-reset > div.jw-controls.jw-reset > div.jw-controlbar.jw-reset > div.jw-slider-time.jw-background-color.jw-reset.jw-slider-horizontal.jw-reset {
  display: none;
}

.jwplayer.jw-state-livestream.jw-orientation-landscape > div.jw-wrapper.jw-reset > div.jw-title.jw-reset-text {
  display: none;
}

div.jw-display-controls {
  display: inline-flex;
  height: 48px;
  align-items: center;
}

div.jw-display-icon-container {
  margin: 0;
}

div.jw-display-controls > .jw-display-icon-display {
  order: 2;
  width: 48px !important;
  height: 48px !important;
  margin-right: 48px;
  margin-left: 48px;
}

.jwplayer.jw-orientation-landscape > div.jw-wrapper.jw-reset > div.jw-controls.jw-reset > div.jw-display.jw-reset > div > div > div.jw-display-icon-container.jw-display-icon-display {
  margin-right: 80px;
  margin-left: 80px;
}

div.jw-display-controls > .jw-display-icon-display > div {
  width: 48px !important;
  height: 48px !important;
  line-height: 48px !important;
}

/*Hide JwPlayer default next and Rewind buttons*/
div.jw-display-icon-container.jw-display-icon-next {
  display: none;
}

div.jw-display-icon-container.jw-display-icon-rewind {
  display: none;
}

div.jw-controlbar.jw-reset {
  flex-direction: column-reverse;
}

div.jw-controlbar.jw-reset > .jw-slider-time {
  padding: 0;
  height: 4px;
}

div.jw-controlbar.jw-reset > .jw-slider-time:before {
  bottom: -9px;
  height: 24px;
}

div.jw-controlbar.jw-reset > .jw-slider-time > .jw-slider-container > .jw-buffer {
  background-color: #999999;
}

div.jw-controlbar.jw-reset > .jw-slider-time > .jw-slider-container > .jw-progress {
  background-color: #429F46;
}

div.jw-controlbar.jw-reset > .jw-slider-time > .jw-slider-container > .jw-knob {
  height: 16px;
  width: 16px;
  background-color: #429f46;
  transform: none;
  top: -6px;
  z-index: 10;
}

div.jw-skip {
  bottom: 55px !important;
}

span.jw-skip-icon {
  width: 16px !important;
  height: 16px !important;
  margin-left: 4px !important;
}

span.jw-skip-icon > svg {
  width: 16px;
  height: 16px;
}

.jw-share-button, .jw-dl-button {
  opacity: .7;
}

.jw-share-button > div:first-child, .jw-dl-button > div:first-child {
  width: 15px;
}

.jw-rightclick .jw-reset {
  display: none !important;
}

/*Replace the play icon*/
.jw-svg-icon-play path {
  display: none;
}

.jw-svg-icon-play {
  background-image: url('../video-icons/play_btn.svg');
  background-size: contain;
  background-repeat: no-repeat;
}

/*Replace the replay icon*/
.jw-svg-icon-replay path {
  display: none;
}

.jw-svg-icon-replay {
  background-image: url('../video-icons/replay_btn.svg');
  background-size: contain;
  background-repeat: no-repeat;
}

/*Replace the fullscreen-on icon*/
.jw-svg-icon-fullscreen-on path {
  display: none;
}

.jw-svg-icon-fullscreen-on {
  background-image: url('../video-icons/fullscreen-on-btn.svg');
  background-size: contain;
  background-repeat: no-repeat;
}

/*Replace the fullscreen-off icon*/
.jw-svg-icon-fullscreen-off path {
  display: none;
}

.jw-svg-icon-fullscreen-off {
  background-image: url('../video-icons/fullscreen-off-btn.svg');
  background-size: contain;
  background-repeat: no-repeat;
}


/*Replace the rewind icon*/
.jw-svg-icon-rewind path {
  display: none;
}

/*Replace the next icon*/
.jw-svg-icon-next path {
  display: none;
}

.jw-svg-icon-next {
  background-image: url('../video-icons/next-btn.svg');
  background-size: contain;
  background-repeat: no-repeat;
}

/*hide some icons in controlbar */
.jw-button-container > .jw-icon-playback {
  display: none;
}

.jw-button-container > .jw-icon-rewind {
  display: none;
}

.jw-button-container > div.jw-icon.jw-icon-inline.jw-button-color.jw-reset.jw-icon-volume.jw-full {
  display: none;
}

.jw-button-container > div.jw-icon.jw-icon-inline.jw-button-color.jw-reset.jw-icon-volume.jw-off {
  display: none;
}

/*styles for controlbar button icons*/
.jw-button-container {
  height: 24px;
  margin-bottom: 20px !important;
  padding-right: 16px !important;
  padding-left: 16px !important;
}

.jw-button-container > .jw-text-elapsed, .jw-button-container > .jw-text-duration {
  font-weight: 300;
  font-size: 14px;
  line-height: 23px;
  height: 23px;
}

.jw-button-container > .jw-text-elapsed {
  margin-right: 4px !important;
}

.jw-button-container > .jw-icon-inline {
  width: 24px;
  height: 24px;
  margin-right: 24px;
}

.jw-flag-live .jw-button-container > .jw-icon-inline {
  width: auto;
}


.jw-button-container > .jw-icon-inline:last-child {
  margin-right: 0;
}


/**In Common Styles for fullscreen(Both Vertical and Horizontal)*/
.jwplayer.jw-flag-fullscreen > div.jw-wrapper.jw-reset > div.jw-controls.jw-reset > div.jw-controlbar.jw-reset {
  bottom: 24px;
}

/** Fullscreen Horizontal View Css */
.jwplayer.jw-orientation-landscape > div.jw-wrapper.jw-reset > div.jw-controls.jw-reset > div.jw-display.jw-reset > div > div > div.jw-display-icon-container.jw-display-icon-display.jw-reset > div > svg.jw-svg-icon.jw-svg-icon-play {
  height: 48px;
  width: 48px;
  line-height: 48px;
}

.jwplayer.jw-state-paused > div.jw-wrapper.jw-reset > div.jw-controls.jw-reset > div.jw-display.jw-reset > div > div > div.jw-display-icon-container.jw-display-icon-display.jw-reset > div > svg.jw-svg-icon.jw-svg-icon-play {
  height: 48px;
  width: 48px;
  line-height: 48px;
}

.jwplayer > div.jw-wrapper.jw-reset > div.jw-controls.jw-reset > div.jw-display.jw-reset > div > div > div.jw-display-icon-container.jw-display-icon-display.jw-reset > div > svg.jw-svg-icon.jw-svg-icon-play {
  height: 48px !important;
  width: 48px !important;
  line-height: 48px !important;
}

/*to show video title on horizontal view*/
.jwplayer.jw-state-playing.jw-flag-fullscreen.jw-flag-user-inactive > div.jw-wrapper > div.jw-title,
.jwplayer.jw-flag-fullscreen.jw-flag-controls-hidden > div.jw-wrapper > div.jw-title {
  /*display: none !important;*/
}

.jwplayer.jw-flag-fullscreen {
  z-index: 1001;
}

.jwplayer.jw-flag-fullscreen > div.jw-wrapper > div.jw-title {
  display: flex;
  width: auto;
  padding-top: 0;
  margin-right: 0;
  margin-top: 16px;
  margin-left: 16px;
  max-height: 52px;
  overflow: hidden;
  right: 56px;
  direction: rtl;
  text-align: right;
}

.jwplayer.jw-flag-fullscreen > div.jw-wrapper > div.jw-title > div.jw-title-primary {
  font-weight: 300;
  font-size: 16px;
  line-height: 26px;
  text-align: right;
  padding: 0;
  white-space: normal;
  overflow: hidden;
}

.jwplayer.jw-flag-ads > div.jw-wrapper.jw-reset > div.jw-controls.jw-reset > div.jw-display.jw-reset > div > div > div {
  display: none !important;
}

/** Settings Menu Styles! **/
.jwplayer > div.jw-wrapper.jw-reset > div.jw-controls.jw-reset.jw-settings-open > div.jw-reset.jw-settings-menu > div.jw-reset.jw-settings-topbar > div.jw-icon.jw-icon-inline.jw-button-color.jw-reset.jw-settings-close {
  margin-right: auto;
  margin-left: 0;
}

.jwplayer > div.jw-wrapper.jw-reset > div.jw-controls.jw-reset.jw-settings-open > div.jw-reset.jw-settings-menu > div.jw-reset.jw-settings-topbar {
  border-bottom: 1px solid #F4F4F4;
  padding: 8px 16px;
  display: flex;
  flex-direction: row-reverse;
}


.jwplayer > div.jw-wrapper.jw-reset > div.jw-controls.jw-reset.jw-settings-open > div.jw-reset.jw-settings-menu > div.jw-reset.jw-settings-topbar > div.jw-icon {
  color: #7D8E99;
  width: 32px;
  height: 32px;
}

.jwplayer > div.jw-wrapper.jw-reset > div.jw-controls.jw-reset.jw-settings-open > div.jw-reset.jw-settings-menu > div.jw-reset.jw-settings-submenu.jw-settings-submenu-quality.jw-settings-submenu-active > button.jw-reset-text.jw-settings-content-item {
  font-size: 14px;
  line-height: 22px;
  color: #405059;
}

.jwplayer > div.jw-wrapper.jw-reset > div.jw-controls.jw-reset.jw-settings-open > div.jw-reset.jw-settings-menu > div.jw-reset.jw-settings-submenu.jw-settings-submenu-quality.jw-settings-submenu-active > button.jw-reset-text.jw-settings-content-item.jw-settings-item-active > span {
  font-size: 12px;
}

.jwplayer > div.jw-wrapper.jw-reset > div.jw-controls.jw-reset.jw-settings-open > div.jw-reset.jw-settings-menu > div.jw-reset.jw-settings-submenu.jw-settings-submenu-captions.jw-settings-submenu-active > button.jw-reset-text.jw-settings-content-item {
  font-size: 14px;
  line-height: 22px;
  color: #405059;
}

.jwplayer > div.jw-wrapper.jw-reset > div.jw-controls.jw-reset.jw-settings-open > div.jw-reset.jw-settings-menu > div.jw-reset.jw-settings-submenu.jw-settings-submenu-captions.jw-settings-submenu-active > button.jw-reset-text.jw-settings-content-item > span {
  font-size: 12px;
}

.jwplayer > div.jw-wrapper.jw-reset > div.jw-controls.jw-reset.jw-settings-open > div.jw-reset.jw-settings-menu > div.jw-reset.jw-settings-submenu.jw-settings-submenu-audioTracks.jw-settings-submenu-active > button.jw-reset-text.jw-settings-content-item {
  font-size: 14px;
  line-height: 22px;
  color: #405059;
}

.jwplayer > div.jw-wrapper.jw-reset > div.jw-controls.jw-reset.jw-settings-open > div.jw-reset.jw-settings-menu > div.jw-reset.jw-settings-submenu.jw-settings-submenu-audioTracks.jw-settings-submenu-active > button.jw-reset-text.jw-settings-content-item > span {
  font-size: 12px;
}

.disable-fullscreen-btn .jwplayer > div.jw-wrapper.jw-reset > div.jw-controls.jw-reset > div.jw-controlbar.jw-reset > div.jw-reset.jw-button-container > div.jw-icon.jw-icon-inline.jw-button-color.jw-reset.jw-icon-fullscreen {
  display: none;
}
